/**
 * @author WanJl
 * @version 1.0
 * @title Exercises01
 * @description 课堂练习01：定义一个整数数组 `{10, 20, 30, 40, 50}`，将数组中第 1 个元素与第 5 个元素交换，
 * 第 2 个元素与第 4 个元素交换（即首尾对称交换），然后输出交换后的数组。
 * @create 2026/7/16
 */
public class Exercises01 {
    public static void main(String[] args) {
        int[] arr={10, 20, 30, 40, 50};
        System.out.print("交换前：");
        for (int i = 0; i < arr.length; i++) {
            System.out.print(arr[i]+" ");
        }
        System.out.println();
        System.out.print("交换后：");
        //首尾交换 第1位和第5位，第2位和第4位
        arr[0]=arr[0]+arr[4];
        arr[4]=arr[0]-arr[4];
        arr[0]=arr[0]-arr[4];

        arr[1]=arr[1]+arr[3];
        arr[3]=arr[1]-arr[3];
        arr[1]=arr[1]-arr[3];

        for (int i = 0; i < arr.length; i++) {
            System.out.print(arr[i]+" ");
        }
    }
}
